"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapErrorToBodyLines = exports.getFileName = exports.stringifyCollection = void 0;
function stringifyCollection(items) {
    return items.map((item) => `"${item}"`).join(', ');
}
exports.stringifyCollection = stringifyCollection;
function getFileName(name) {
    return name
        .replace(/([a-z\d])([A-Z])/g, '$1_$2')
        .toLowerCase()
        .replace(/[ _]/g, '-');
}
exports.getFileName = getFileName;
function mapErrorToBodyLines(error) {
    var _a;
    if (((_a = error.logMessage) === null || _a === void 0 ? void 0 : _a.split('\n').filter((line) => !!line).length) < 3) {
        // print entire log message only if it's only a single message
        return [`Error: ${error.logMessage}`];
    }
    const lines = [`Exit code: ${error.code}`, `Log file: ${error.logFile}`];
    if (process.env.NX_VERBOSE_LOGGING) {
        lines.push(`Error: ${error.logMessage}`);
    }
    return lines;
}
exports.mapErrorToBodyLines = mapErrorToBodyLines;
//# sourceMappingURL=string-utils.js.map